/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MedicalConsultationCancellation
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class MedicalConsultationCancellation {
  @SerializedName("cancelation_reason")
  private String cancelationReason = null;

  public MedicalConsultationCancellation cancelationReason(String cancelationReason) {
    this.cancelationReason = cancelationReason;
    return this;
  }

   /**
   * Reason of the consultation&#39;s cancelation
   * @return cancelationReason
  **/
  @ApiModelProperty(value = "Reason of the consultation's cancelation")
  public String getCancelationReason() {
    return cancelationReason;
  }

  public void setCancelationReason(String cancelationReason) {
    this.cancelationReason = cancelationReason;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MedicalConsultationCancellation medicalConsultationCancellation = (MedicalConsultationCancellation) o;
    return Objects.equals(this.cancelationReason, medicalConsultationCancellation.cancelationReason);
  }

  @Override
  public int hashCode() {
    return Objects.hash(cancelationReason);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MedicalConsultationCancellation {\n");
    
    sb.append("    cancelationReason: ").append(toIndentedString(cancelationReason)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

